Print Composer in 3.0.0 export to TIF forgets to define RowsPerStrip in TIF
Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Windows 10 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 26165

Description

In QGIS 3.0.0, When atlas-exporting to TIF in the print composer, the resulting TIF files have no RowsPerStrip defined. So GDAL

notices. 

QGIS doesn't crash, but the resulting TIF data is not readable in other programs (unless first corrected using GDAL).

Tested on Windows 10 with QGIS 3.0.0 64-bit.

History

#1 - 2018-02-28 05:39 PM - Giovanni Manghi

- Category changed from Rasters to Map Composer/Printing

- Status changed from Open to Feedback

How about 2.18? the result is different?

#2 - 2018-02-28 05:44 PM - JW van Aalst

In QGIS 2.18.16, TIF files export fine (although uncompressed; the compression is certainly an improvement in 3.0.0).

#3 - 2018-02-28 05:47 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

- Status changed from Feedback to Open

#4 - 2018-03-01 01:29 AM - Nyall Dawson

- Resolution set to up/downstream

- Status changed from Open to Feedback

This is an upstream issue in Qt. Our choices here are:

1. removing the the compression

2. leaving the missing RowsPerStrip definition out

I'm leaning to 1

#5 - 2018-03-01 07:41 AM - JW van Aalst
1: Agreed. In either case I'm going to have to use GDAL to further process the TIFs anyway (including compressing them). If the RowsPerStrip remains

undefined, Photoshop won't open the (larger) TIFs.

#6 - 2018-06-02 05:03 PM - Even Rouault

I've proposed a patch to QT to set the RowsPerStrip tag: https://bugreports.qt.io/browse/QTBUG-68609

#7 - 2018-06-06 10:55 AM - Even Rouault

A variation of my patch has been committed for QT 5.11.1

#8 - 2018-08-16 02:14 PM - Giovanni Manghi

- Status changed from Feedback to Closed

2025-04-27 2/2

https://bugreports.qt.io/browse/QTBUG-68609

